=== debian/changelog ===
libmali-mtk (48p0+git20240923.704256e-0ubuntu2) jammy; urgency=medium

  * Implement backwards-compatibility from r43p0 to r48p0 in preinst

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Tue, 24 Sep 2024 15:01:33 +0200

libmali-mtk (48p0+git20240729.54c41f1-0ubuntu1) jammy; urgency=medium

  [ Asal Mirzaieva ]
  * Bump to r48p0
  * Remove libwayland-egl related hacks

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Thu, 11 Jul 2024 13:50:34 +0000

libmali-mtk (43p0+d1985cb-0ubuntu7) jammy; urgency=medium

  * Rename the binary packages to libmali-mtk-XXXX

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Fri, 19 Jan 2024 18:58:06 +0100

libmali-mtk (43p0+d1985cb-0ubuntu6) jammy; urgency=medium

  * Rename the source package back to libmali-mtk
  * Fix the issue with firmware not installed for mt8188

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Thu, 18 Jan 2024 12:54:16 +0100

libmali-mtk (43p0+d1985cb-0ubuntu5) jammy; urgency=medium

  [ Loïc Minier ]
  * Encode git sha in upstream version.
  * Simplify reading of targets and remove generated files in clean.
  * Use upstream Makefile for installation into package specific directories.
    - Add patch fix-firmware-install to fix upstream install when there are no
      firmware.
    - Add patch fix-data-files-perms to fix permissions of installed data files
      to be 644 instead of the 755 default.
  * Use debhelper style substitutions instead of sed.
  * Don't override override_dh_auto_binary.
  * Move common maintainer scripts snippets to debian/functions.sh.
  * postrm: move debhelper generated logic above the package specific logic.
  * Add unit tests for libmali_mtk_get_cpu() using shunit2 as build-dep.

  [ Asal Mirzaieva ]
  * Add support for g510(mt8188)

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Tue, 16 Jan 2024 15:35:00 +0100

libmali-mtk (43p0-0ubuntu4) jammy; urgency=medium

  * Update to the latest libmali.
  * Add packaging readme(README.debian).

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Wed, 11 Oct 2023 15:32:14 +0200

libmali-mtk (43p0-0ubuntu3) jammy; urgency=medium

  * Install OpenCL and Vulkan libraries and icd files

 -- Hon Ming Hui <honming.hui@canonical.com>  Wed, 12 Jul 2023 12:19:19 +0100

libmali-mtk (43p0-0ubuntu2) jammy; urgency=medium

  * Fix log prints, script typo.

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Tue, 06 Jun 2023 11:01:22 +0200

libmali-mtk (43p0-0ubuntu1) jammy; urgency=medium

  * EGL Mali libraries for Mediatel mt8195/mt8365/mt8188. Binaries from
    https://gitlab.com/mediatek/aiot/rity/libmali/-/tree/kirkstone
    branch kirkstone, release r43p0.

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Tue, 06 Jun 2023 11:01:22 +0200
