## libmali-mtk 48p0+git20241205.ba78630

=== debian/changelog ===
libmali-mtk (48p0+git20241205.ba78630-0ubuntu5) jammy; urgency=medium

  * d/functions.sh: update gpu detection function for changes of gpuinfo (LP: #2092371)

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Wed, 25 Dec 2024 16:54:32 +0800

libmali-mtk (48p0+git20241205.ba78630-0ubuntu4) jammy; urgency=medium

  * Remove the Conflicts/Replaces/Provides logic

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Thu, 05 Dec 2024 08:33:36 +0000

libmali-mtk (48p0+git20241128.b3577b2-0ubuntu3) jammy; urgency=medium

  * Provide mesa-vulkan-drivers
  * Apply patches to r48p0 instead of r43p0

 -- Asal Mirzaieva <asa.mirzaieva@canonical.com>  Thu, 28 Nov 2024 09:10:18 +0000
