=== debian/control ===
Source: libmali-mtk
Maintainer: Asal Mirzaieva <asa.mirzaieva@canonical.com>
Section: libs
Priority: optional
Standards-Version: 4.6.0
Build-Depends: debhelper (>= 13), libwayland-client0, libwayland-server0, libdrm2, shunit2

Package: libmali-mtk-8195
Architecture: arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mali GLX/EGL/GLES libraries for mediatek mt8195.
 This package provides Mali GLX/EGL/GLES libraries for the mediatek g1200 board.

Package: libmali-mtk-8365
Architecture: arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mali GLX/EGL/GLES libraries for mediatek mt8365.
 This package provides Mali GLX/EGL/GLES libraries for the mediatek g350 board.

Package: libmali-mtk-8188
Architecture: arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mali GLX/EGL/GLES libraries for mediatek mt8188.
 This package provides Mali GLX/EGL/GLES libraries for the mediatek g700 board.
